#
# spec file for package glm
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           glm
Version:        0.9.5.3
Release:        4.1
Summary:        Header only C++ mathematics library for graphics
License:        MIT
Group:          Development/Libraries/C and C++
Url:            http://glm.g-truc.net/
Source0:        http://downloads.sourceforge.net/ogl-math/%{name}-%{version}.zip
Patch0:         glm-0.9.5.3-no_gtc_packing_test.patch
Patch1:         aliasing.patch
BuildRequires:  cmake
BuildRequires:  dos2unix
BuildRequires:  fdupes
BuildRequires:  gcc-c++
BuildRequires:  unzip
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%description
OpenGL Mathematics (GLM) is a header only C++ mathematics library for graphics
software based on the OpenGL Shading Language (GLSL) specification.

GLM provides classes and functions designed and implemented with the same naming
conventions and functionalities than GLSL so that when a programmer knows GLSL,
he knows GLM as well which makes it really easy to use.

%package        devel
Summary:        Header only C++ mathematics library for graphics
Group:          Development/Libraries/C and C++

%description    devel
OpenGL Mathematics (GLM) is a header only C++ mathematics library for graphics
software based on the OpenGL Shading Language (GLSL) specification.

GLM provides classes and functions designed and implemented with the same naming
conventions and functionalities than GLSL so that when a programmer knows GLSL,
he knows GLM as well which makes it really easy to use.

%package        doc
Summary:        Documentation for GLM library
Group:          Documentation/Other

%description    doc
This package provides the documentation for GLM library.

%prep
%setup -q -n %{name}
# Fix wrong-file-end-of-line-encoding
find ./ -type f -print0 |xargs -0 dos2unix -q
%patch0 -p1
%patch1 -p1

%build
%cmake \
      -DCMAKE_CXX_FLAGS="$RPM_OPT_FLAGS" \
      -DGLM_TEST_ENABLE=ON
make %{?_smp_mflags}

%install
%cmake_install
install -D -m 644 util/FindGLM.cmake %{buildroot}%{_datadir}/cmake/Modules/FindGLM.cmake
%fdupes -s %{buildroot}

%check
cd build
ctest %{?_smp_mflags} --output-on-failure

%files devel
%defattr(-,root,root,-)
%{_includedir}/glm
%{_datadir}/cmake/Modules/FindGLM.cmake
%doc copying.txt

%files doc
%defattr(-,root,root,-)
%doc doc/api
%doc doc/glm.pdf
%doc readme.txt

%changelog
* Thu Sep 25 2014 schwab@suse.de
- aliasing.patch: fix strict aliasing issues
* Fri May 16 2014 fstrba@suse.com
- Version bump to 0.9.5.3
- Add a patch to disable gtc_packing test that fails on some i586
  systems:
  * glm-0.9.5.3-no_gtc_packing_test.patch
- Add %%fdupes to reduce size
* Mon Mar 24 2014 tchvatal@suse.com
- Version bump to 0.9.5.2:
  * Various bug fixes
  * MIT only license
- Remove no longer needed patch:
  * glm-nonx86.patch
- Use cmake macros to build
* Thu Aug  1 2013 dvaleev@suse.com
- convert sources to UNIX format using dos2unix
- fix build on non x86 architectures (glm-nonx86.patch)
* Thu Jul 18 2013 cfarrell@suse.com
- license update: MIT and GPL-2.0+
  glm-0.9.4.4/test/external/gli/core/shared_ptr.inl is GPL licensed
* Wed Jul 10 2013 dmitry_r@opensuse.org
- Update to version 0.9.4.4
  * Promoted GTC_espilon extension
  * Promoted GTC_ulp extension
  * Removed GLM website from the source repository
  * Added GLM_FORCE_RADIANS so that all functions takes radians for arguments
* Sun Mar  3 2013 jengelh@inai.de
- Add missing BuildRoot directive (resolve SLE build failure)
* Tue Sep  4 2012 adam@mizerski.pl
- update to 0.9.3.4
  - A lot happend since last update.
    Changelog available at http://glm.g-truc.net/
* Sun Feb  5 2012 jengelh@medozas.de
- Remove redundant tags/sections
* Fri Sep 16 2011 adam@mizerski.pl
- update to 0.9.2.4
  - Fixed extensions bugs
* Mon Jun 27 2011 adam@mizerski.pl
- update to 0.9.2.3
  - Fixed build issues
- update to 0.9.2.2
  - Expend matrix constructors flexibility
  - Improved quaternion implementation
  - Fixed many warnings across platforms and compilers
* Thu May 26 2011 adam@mizerski.pl
- update to 0.9.2.1
  - Automatically detect CUDA support
  - Improved compiler detection
  - Fixed errors and warnings in VC with C++ extensions disabled
  - Fixed and tested GLM_GTX_vector_angle
  - Fixed and tested GLM_GTX_rotate_vector
* Sat May 14 2011 adam@mizerski.pl
- new package
